require 'dohweb/html_tags'

module DohWeb

class Test_html_tags < DohTest::TestGroup
  include DohWeb::HtmlTags

  def test_stuff
    assert_equal(%%<select name="tinker">\n<option>1</option>\n<option>2</option>\n</select>%, select_tag('tinker', [1,2]))
    assert_equal(%%<select name="tinker">\n<option value="hey" selected="selected">1</option>\n<option>2</option>\n</select>%, select_tag('tinker', [[1,'hey'],2], :value => 'hey'))
    assert_equal(%%<select name="tinker">\n<option></option>\n<option>blah</option>\n</select>%, select_tag('tinker', ['','blah']))
    assert_equal(%%<select name="tinker">\n<option value="">blee</option>\n<option>blah</option>\n</select>%, select_tag('tinker', [['blee',''],'blah']))
  end
end

end
