require 'dohweb/util'

module DohWeb

class Test_cycle < DohTest::TestGroup
  include DohWeb

  def first_set
    cycle(1, 2)
  end

  def second_set
    cycle(3, 4)
  end

  def third_set
    cycle(5, 6, 7)
  end

  def test_stuff
    assert_equal(1, first_set)
    assert_equal(2, first_set)
    assert_equal(1, first_set)
    assert_equal(2, first_set)
    assert_equal(1, first_set)

    assert_equal(3, second_set)
    assert_equal(4, second_set)
    assert_equal(3, second_set)
    assert_equal(4, second_set)
    assert_equal(3, second_set)

    assert_equal(5, third_set)
    assert_equal(6, third_set)
    assert_equal(7, third_set)
    assert_equal(5, third_set)
    assert_equal(6, third_set)
    assert_equal(7, third_set)
    assert_equal(5, third_set)
    assert_equal(6, third_set)
    assert_equal(7, third_set)
    assert_equal(5, third_set)

    assert_equal(1, first_set)
    assert_equal(5, third_set)
    assert_equal(3, second_set)
    assert_equal(4, second_set)
    assert_equal(5, third_set)
    assert_equal(6, third_set)
    assert_equal(1, first_set)
    assert_equal(3, second_set)
    assert_equal(5, third_set)
    assert_equal(1, first_set)
    assert_equal(2, first_set)
    assert_equal(3, second_set)
    assert_equal(5, third_set)
  end
end

end
